package com.main.campustream;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.LinearLayout;

/**
 * @author Bryan Crabtree
 * 
 */
public class CollaborationTab extends Activity implements OnClickListener {
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.collaborate);

		final LinearLayout layout1 = (LinearLayout) findViewById(R.id.LinearLayout1);
		layout1.setOnClickListener(layout1Listener);
		final LinearLayout layout2 = (LinearLayout) findViewById(R.id.LinearLayout2);
		layout2.setOnClickListener(layout2Listener);
		final LinearLayout layout3 = (LinearLayout) findViewById(R.id.LinearLayout3);
		layout3.setOnClickListener(layout3Listener);
		final LinearLayout layout4 = (LinearLayout) findViewById(R.id.LinearLayout4);
		layout4.setOnClickListener(layout4Listener);
	}

	/**
	 * Click listener for a collaboration category.
	 */
	private OnClickListener layout1Listener = new OnClickListener() {
		public void onClick(View v) {
			openSchoolView();
		}
	};

	/**
	 * Click listener for a collaboration category.
	 */
	private OnClickListener layout2Listener = new OnClickListener() {
		public void onClick(View v) {
			openSocialView();
		}
	};

	/**
	 * Click listener for a collaboration category.
	 */
	private OnClickListener layout3Listener = new OnClickListener() {
		public void onClick(View v) {
			openMiscView();
		}
	};

	/**
	 * Click listener for a collaboration category.
	 */
	private OnClickListener layout4Listener = new OnClickListener() {
		public void onClick(View v) {
			openHappeningsView();
		}
	};

	/**
	 * Opens a collaboration view.
	 */
	public void openSchoolView() {
		Campustream.questionSection = "academic";
		Campustream.questionCategoryTitle = "Classes and Projects";
		Intent myIntent = new Intent(this, QuestionsList.class);
		startActivityForResult(myIntent, 0);
	}

	/**
	 * Opens a collaboration view.
	 */
	public void openSocialView() {
		Campustream.questionSection = "social";
		Campustream.questionCategoryTitle = "Social Events";
		Intent myIntent = new Intent(this, QuestionsList.class);
		startActivityForResult(myIntent, 0);
	}

	/**
	 * Opens a collaboration view.
	 */
	public void openMiscView() {
		Campustream.questionSection = "misc";
		Campustream.questionCategoryTitle = "Miscellaneous";
		Intent myIntent = new Intent(this, QuestionsList.class);
		startActivityForResult(myIntent, 0);
	}

	/**
	 * Opens a collaboration view.
	 */
	public void openHappeningsView() {
		Campustream.questionSection = "happenings";
		Campustream.questionCategoryTitle = "Campus Happenings";
		Intent myIntent = new Intent(this, QuestionsList.class);
		startActivityForResult(myIntent, 0);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.view.View.OnClickListener#onClick(android.view.View)
	 */
	public void onClick(View v) {

	}
}