<?

/**
 * Handles showing user profiles
 */
class Users_Controller extends Controller implements REST {
	public $template = 'template/main';
	
	/**
	 * Show's the given users profile (if website) or returns information
	 * about the user (API)
	 */
	public function show($args) {
		if (isset($args['username'])) {
			$username = $args['username'];
		} elseif (isset($_GET['username'])) {
			$username = $_GET['username'];
		}
		
		$user = ActiveCache::find('User_Model', "name:$username", 43200)->sql(
			"SELECT * FROM users WHERE username = '$username' LIMIT 1"
		);
		
		if(!$user->is_loaded()) {
			View::respond_to('html', function() {
				echo "User not found.";
			});
			View::respond_to(array('xml','json', 'jsonp'), function() {
				Hub::http_error(404, "User not found");
			});
			
			return false;
		}
		
		$template = $this->template;
		View::respond_to('html', function() use($user, $template) {
			$view = new View('user/show');
			$view->user = $user;
			$template->content = $view->render();
			echo $template->render();
		});
		
		View::respond_to(array('xml','json','jsonp'), function($format) use($user) {
			echo $user->{"to_$format"}();
		});
	}
	
}