<?
include_once $GLOBALS['APPROOT'] . 'application/lib/twitteroauth/twitteroauth.php';

/**
 * Helper class for interacting with the Twitter API
 */
class twitter {
	
	/**
	 * Return a Twitter API object that pertains to the
	 * given user.
	 */
	public static function api(User_Model $user = null) {
		return new TwitterOAuth(
			$GLOBALS['TWITTER_CONSUMER_KEY'], 
			$GLOBALS['TWITTER_CONSUMER_SECRET'], 
			(empty($user) ? null : $user->twitter()->oauth_token), 
			(empty($user) ? null : $user->twitter()->oauth_secret)
		);
	}
}