<?

/**
 * Metadata describing an Event
 */
class Eventmeta_Model extends ActiveRecord {
	public $table_name = 'eventmeta';
	public $columns = array('id', 'event_id', 'location', 'location_area', 'start_date', 'end_date', 'all_day');
	public $cache_keys = array( 'eventmeta/#' => 'id', 'eventmeta/event:#' => 'event_id' );
	public $has_many = array();
	public $has_one = array('event');
	public $public_columns = array('id', 'event_id', 'location', 'location_area', 'start_date', 'end_date', 'all_day');
	
	/**
	 * Load the event that this metadata is related to
	 */
	public function load_event() {
		if (!$this->event) {
			$event = ActiveCache::find('Newsevent_Model', $this->event_id, 43200)->sql(
				"SELECT * FROM newsevents WHERE id = {$this->event_id} LIMIT 1"
			);
			
			if ($event->is_loaded()) {
				$this->add_relationship('event', $event);
			}
		}
	}
}