<?php

desc("Wrapper for running the hub task over capistrano instead of locally");
task("capistrano", function( $args, $server=false) {

	$req_task = $args[0];

	try {
		
		HubTasks::lookup_task_by_name( $req_task );
		
		$host = (!empty($server)) ? "HOSTS={$server}" : false;
		
		$args_list = join(" ", $args);
		system( "cap {$host} hub:invoke -s hub_args='{$args_list} --capified'\n" );
		
	} catch(Exception $e) {
		echo "Task doesn't exist locally, so it probably doesn't exist remotely.\n";
	}

});