<!DOCTYPE html>
<html lang="en">
<head>
	<title>Campustream</title>
	
	<link href="http://fonts.googleapis.com/css?family=Lobster:regular&subset=latin" rel="stylesheet" type="text/css" >
	<link type="text/css" rel="stylesheet" href="/css/reset.css" />
	<link type="text/css" rel="stylesheet" href="/css/index_unauth.css" />
</head>
<body>
	<div id="header-wrap">
		<div id="header">
			<div id="title">
				<h1>Campustream</h1>
				<h2>Connecting you to your campus</h2>
			</div>
			<div id="register-box">
				<input class="fancy-button-blue" type="button" value="Join Now" onclick="window.location.href='/register'" />
				<p>Already registered? <a href="/login">Login.</a></p>
			</div>
			<div style="clear:both"></div>
		</div>
	</div>
	
	<div id="content">
		<table>
			<tr>
				<td>
					<img src="/images/homepage1.png" />
					<p>Public and friend streams show you what's happening right <b>now</b>.</p>
				</td>
				<td>
					<img src="/images/homepage2.png" />
					<p>Collaborate with your peers, ask questions, and get answers.</p>
				</td>
				<td>
					<img src="/images/homepage3.png" />
					<p>Connect both your Facebook and Twitter social stream.</p>
				</td>
			</tr>
		</table>
	</div>
	
	<div class="more-content-wrap">
		<div class="content-wrap">
			<div id="android-image">
				<img src="/images/android.jpg" alt="Android" />
			</div>
			<div id="android-content">
				<h1>Dedicated Android App</h1>
				<p>For those of you with an Android phone, we have a fully-featured app that you can use to interact with Campustream.  Scan the barcode or search for Campustream in the Android Market to install and use.</p>
			</div>
			<div id="android-barcode">
				<img src="/images/QRCode.png" alt="barcode" />
			</div>
			<div style="clear:both"></div>
		</div>
	</div>
	
	<div id="footer">
		<p>&copy; <?=date('Y')?> Campustream - Powered by Hub</p>
	</div>
</body>
</html>