<?
$friends = null;
if ($type == 'followers') {
	$friends = $user->followers;
} else {
	$friends = $user->follows;
}
?>
<div id="user-profile">

	<div id="content-left">
		<? if($type == 'follows'): ?>
		<h1>Users <?=$user->name?> follows</h1>
		<? else: ?>
		<h1>Users that follow <?=$user->name?></h1>
		<? endif; ?>
		
		<? foreach($friends as $friend): ?>
		<div class="user-list-wrap">
			<div class="user-list-photo">
				<img src="<?=$friend->avatar?>" />
			</div>
			<div class="user-list-info">
				<h1><a href="/user/<?=$friend->username?>"><?=$friend->name?></a> <span><a href="mailto:<?=$friend->username?>@wpi.edu"><?=$friend->username?></a></span></h1>
				<p><?=$friend->bio?></p>
				
				<? if(sess::is_logged_in() && !sess::isActiveUser($friend)): ?>
				<div id="follow_<?=$friend->username?>" class="follow-button">
					<? if(sess::getUser()->is_following($friend->id)): ?>
					<a href="#" class="following">Following</a>
					<? else: ?>
					<a href="#" class="follow">Follow</a>
					<? endif; ?>
				</div>
				<? endif; ?>
			</div>
			
			<div style="clear:both"></div>
		</div>
		<? endforeach; ?>
	</div>
	
	<div id="content-right">
		<?=View::factory('template/_sidebar')->set('user', $user)->render()?>
	</div>

	<div style="clear:both;"></div>
</div>