<?php


class MemcacheManager {
  
  private static $memcache = null;
  
  public static function connection() {
    if ( self::$memcache === null ) {
		self::$memcache = new Memcached();
    	self::$memcache->setOption( Memcached::OPT_LIBKETAMA_COMPATIBLE, true );
    	self::$memcache->setOption( Memcached::OPT_BINARY_PROTOCOL, true );
		self::$memcache->setOption( Memcached::OPT_CONNECT_TIMEOUT, 200 );
    	
    	require($GLOBALS['APPROOT'] . 'application/config/memcache.php');
    	
    	foreach($config as &$server) {
			$server = array_merge($default, $server);
		}
		unset($server);
    	    	
    	foreach( $config as $server ) {
    		self::$memcache->addServer( $server['host'], $server['port'], $server['weight'] );
    	}
    }
    
    return self::$memcache;
  }

}