package com.main.campustream;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.LinearLayout;

/**
 * @author Bryan Crabtree
 * 
 */
public class NewsTab extends Activity {
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.news);

		final LinearLayout layout1 = (LinearLayout) findViewById(R.id.LinearLayout1);
		layout1.setOnClickListener(layout1Listener);
		final LinearLayout layout2 = (LinearLayout) findViewById(R.id.LinearLayout2);
		layout2.setOnClickListener(layout2Listener);
		final LinearLayout layout3 = (LinearLayout) findViewById(R.id.LinearLayout3);
		layout3.setOnClickListener(layout3Listener);
		final LinearLayout layout4 = (LinearLayout) findViewById(R.id.LinearLayout4);
		layout4.setOnClickListener(layout4Listener);
		final LinearLayout layout5 = (LinearLayout) findViewById(R.id.LinearLayout5);
		layout5.setOnClickListener(layout5Listener);
		final LinearLayout layout6 = (LinearLayout) findViewById(R.id.LinearLayout6);
		layout6.setOnClickListener(layout6Listener);
		final LinearLayout layout7 = (LinearLayout) findViewById(R.id.LinearLayout7);
		layout7.setOnClickListener(layout7Listener);
		final LinearLayout layout8 = (LinearLayout) findViewById(R.id.LinearLayout8);
		layout8.setOnClickListener(layout8Listener);
	}

	/**
	 * Click listener for a news category.
	 */
	private OnClickListener layout1Listener = new OnClickListener() {
		public void onClick(View v) {
			Campustream.newsCategory = "all";
			Campustream.newsCategoryTitle = "All News";
			openNewsView();
		}
	};

	/**
	 * Click listener for a news category.
	 */
	private OnClickListener layout2Listener = new OnClickListener() {
		public void onClick(View v) {
			Campustream.newsCategory = "general";
			Campustream.newsCategoryTitle = "General WPI News";
			openNewsView();
		}
	};

	/**
	 * Click listener for a news category.
	 */
	private OnClickListener layout3Listener = new OnClickListener() {
		public void onClick(View v) {
			Campustream.newsCategory = "greek";
			Campustream.newsCategoryTitle = "Greek Life";
			openNewsView();
		}
	};

	/**
	 * Click listener for a news category.
	 */
	private OnClickListener layout4Listener = new OnClickListener() {
		public void onClick(View v) {
			Campustream.newsCategory = "academics";
			Campustream.newsCategoryTitle = "Academics";
			openNewsView();
		}
	};

	/**
	 * Click listener for a news category.
	 */
	private OnClickListener layout5Listener = new OnClickListener() {
		public void onClick(View v) {
			Campustream.newsCategory = "sports";
			Campustream.newsCategoryTitle = "Sports";
			openNewsView();
		}
	};

	/**
	 * Click listener for a news category.
	 */
	private OnClickListener layout6Listener = new OnClickListener() {
		public void onClick(View v) {
			Campustream.newsCategory = "club_organization";
			Campustream.newsCategoryTitle = "Clubs and Organizations";
			openNewsView();
		}
	};

	/**
	 * Click listener for a news category.
	 */
	private OnClickListener layout7Listener = new OnClickListener() {
		public void onClick(View v) {
			Campustream.newsCategory = "world";
			Campustream.newsCategoryTitle = "World News";
			openNewsView();
		}
	};

	/**
	 * Click listener for a news category.
	 */
	private OnClickListener layout8Listener = new OnClickListener() {
		public void onClick(View v) {
			Campustream.newsCategory = "misc";
			Campustream.newsCategoryTitle = "Miscellaneous News";
			openNewsView();
		}
	};

	/**
	 * Click listener for a news category.
	 */
	public void openNewsView() {
		Campustream.newsSection = "news";
		Intent myIntent = new Intent(this, NewsList.class);
		startActivityForResult(myIntent, 0);
	}

	/**
	 * Default click listener method.
	 * 
	 * @param v
	 */
	public void onClick(View v) {

	}
}