# This allows you to execute remote tasks from the Terminal using Capistrano.
# The areas that may need updating are marked below.

set :application, "Campustream"

# SETTING: set the path to the web application on the remote server
set :deploy_to, "/home/campustream_com/subdomains/dev/public_html"
set :deploy_via, :export

# SETTING: the SSH user to connect with
set :user, 'campustream_com'

# SETTING: the SSH password for the user
set :password, 'password'

set :use_sudo, false

set :shell, '/bin/bash'

ssh_options[:port] = 22

role :app, "web1.cs"

namespace :hub do
	task :invoke, :roles => [:app] do
	  puts hub_args.to_s
	  run "#{deploy_to}/hubcap #{hub_args}"
	end
end
