<?

/**
 * Responsible for loading and showing the Campustream
 * homepage.
 */
class Home_Controller extends Controller {
	public $template = 'template/main';
	public $enable_session = true;
	
	/**
	 * Shows the appropriate homepage depending on whether
	 * the visitor is authenticated or not.
	 */
	public function index() {
	
		if ($this->session->get('authenticated')) {
			$view = new View('home/index_auth');
			$view->user = sess::getUser();
		} else {
			$view = new View('home/index_unauth');
			echo $view->render();
			return true;	
		}
		
		$this->template->active = 'home';
		$this->template->content = $view->render();
		echo $this->template->render();
		
	}
}