<?

/**
 * Represents a relationship between two given users
 */
class Relationship_Model extends ActiveRecord {
	public $columns = array('target', 'source');
	public $public_columns = array('target', 'source');
	
	/**
	 * Set the two users of the relationship
	 */
	public function set($source, $target) {
		$this->source = $source->limited_object();
		$this->target = $target->limited_object();
		
		$this->source->followed_by = $source->is_followed_by($target);
		$this->source->following = $source->is_following($target);
		$this->target->followed_by = $target->is_followed_by($source);
		$this->target->following = $target->is_following($source);
	}
}