<h1>Edit Profile</h1>

<div id="settings-desc">
	<p>Here you can edit all of the details of your account and personalize it as much as you want.</p>
</div>

<div id="profile-settings">
	<div class="settings-left">
		<form action="/settings/update_profile" method="post">
			<table id="profile-settings-table">
				<tr>
					<td>Name</td>
					<td><input class="profile-setting" type="text" name="name" value="<?=$user->name?>" /></td>
				</tr>
				<tr>
					<td>Email</td>
					<td style="color: #555555"><?=$user->email?></td>
				</tr>
				<tr>
					<td>Website</td>
					<td><input class="profile-setting" type="text" name="website" value="<?=$user->website?>" /></td>
				</tr>
				<tr>
					<td>Bio</td>
					<td>
						<textarea name="bio" id="profile-setting-bio"><?=$user->bio?></textarea>
					</td>
				</tr>
				<tr>
					<td>Class Year</td>
					<td><input class="profile-setting" type="text" name="class_year" value="<?=$user->class_year ? $user->class_year : ''?>" /></td>
				</tr>
				<tr>
					<td>College Majors</td>
					<td><input class="profile-setting" type="text" name="college_majors" value="<?=$user->college_majors?>" /></td>
				</tr>
				<tr>
					<td>College Minors</td>
					<td><input class="profile-setting" type="text" name="college_minors" value="<?=$user->college_minors?>" /></td>
				</tr>
				<tr>
					<td></td>
					<td><input type="submit" value="Save Profile" id="profile-save" class="fancy-button-grey" /></td>
				</tr>
			</table>
		</form>
	</div>
	
	<div class="settings-right">
		<div id="profile-settings-photo">
			<div id="settings-photo">
				<img src="<?=$user->avatar_url('medium')?>" alt="<?=$user->username?>" />
			</div>
			<div id="settings-photo-controls">
				<p>Update your profile photo</p>
				<form action="/settings/profile_photo/update" enctype="multipart/form-data" method="post">
					<input type="file" name="photo" />
					<input type="submit" class="fancy-button-grey" value="Update Photo" />
				</form>
				
				<? if($user->has_avatar): ?>
				<p>... or remove your photo</p>
				<form action="/settings/profile_photo/remove" method="post">
					<input type="hidden" name="form_auth" value="<?=md5("fjLDI*YF:S:F&**TF" . $user->username)?>" />
					<input type="submit" class="fancy-button-grey" value="Remove Photo" />
				</form>
				<? endif; ?>
			</div>
			
			<div style="clear:both;"></div>
			
			<div id="profile-settings-email">
				<input type="hidden" id="email-form-auth" value="<?=md5("fjLDI*YF:S:F&**TF" . $user->username)?>" />
				<table>
					<tr>
						<td>Notification Emails</td>
						<td><input type="checkbox" id="notification-emails" <?=($user->email_enabled) ? 'checked="checked"' : ''?> /></td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	
	<div style="clear:both;"></div>
</div>