<h1>Services</h1>

<div id="settings-desc">
	<p>Campustream allows you to connect both your Twitter and Facebook accounts, which enables many additional features on the site.  If you don't use any of these services, don't worry! You will still be able to enjoy Campustream as a standalone social network.</p>
	
	<p><strong>Please note that Facebook and Twitter importing are currently non-functional. However, exporting posts to both sites does work.</strong></p>
</div>

<div id="settings-services">
	<div id="settings-facebook">
		<h1>Facebook</h1>
		
		<? if ($user->has_facebook()): ?>
			<div class="service-action-nav">
				<a href="/facebook/authorize">Refresh Account</a> | <a href="/facebook/deauthorize?s=<?=md5('zOmg4tehcoolz!' . $user->username)?>">Disconnect Account</a>
			</div>
			
			<input type="hidden" id="form_auth" value="<?=md5('zOmg4tehcoolz!' . $user->username)?>" />
			<table class="service-hooks">
				<tr>
					<td><label for="facebook-import">Import Statuses</label></td>
					<td><input type="checkbox" id="facebook-import" <?=($user->facebook()->import_enabled) ? 'checked="checked"' : ''?> /></td>
					
					<td><label for="facebook-export">Export Statuses</label></td>
					<td><input type="checkbox" id="facebook-export" <?=($user->facebook()->export_enabled) ? 'checked="checked"' : ''?> /></td>
				</tr>
			</table>
			
			<div class="service-info">
				<div class="service-profile-image">
					<img style="width: 128px" src="http://graph.facebook.com/<?=$user->facebook()->username?>/picture?type=large" />
				</div>
				<div class="service-profile-bio">
					<h1><?=$user->facebook()->name?></h1>
					<p id="service-twitter-bio"><?=$user->facebook()->about?></p>
					<p id="service-twitter-website"><a href="<?=$user->facebook()->link?>" target="_blank">Facebook Profile</a></p>
				</div>
				<div style="clear:both;"></div>
			</div>
		<? else: ?>
		<div class="service-login">
			<a href="
			<?=$facebook->getLoginUrl(
					array(
						'next' => ($GLOBALS['ISDEV'] ? 'http://dev.campustream.com/facebook/authorize/' : 'http://campustream.com/facebook/authorize/'),
						'req_perms' => 'publish_stream, create_event, rsvp_event, offline_access, read_stream'
					)
				); 
			?>">
        		<img src="http://static.ak.fbcdn.net/rsrc.php/zB6N8/hash/4li2k73z.gif">
      		</a>
		</div>
		<? endif; ?>
	</div>
	
	<div id="settings-twitter">
		<h1>Twitter</h1>
		
		<div class="service-settings">
		<? if ($user->has_twitter()): ?>
			<div class="service-action-nav">
				<a href="/twitter/new">Refresh Account</a> | <a href="/twitter/destroy?s=<?=md5('zOmg4tehcoolz!' . $user->username)?>">Disconnect Account</a>
			</div>
			
			<input type="hidden" id="form_auth" value="<?=md5('zOmg4tehcoolz!' . $user->username)?>" />
			<table class="service-hooks">
				<tr>
					<td><label for="twitter-import">Import Tweets</label></td>
					<td><input type="checkbox" id="twitter-import" <?=($user->twitter()->import_enabled) ? 'checked="checked"' : ''?> /></td>
					
					<td><label for="twitter-export">Export Tweets</label></td>
					<td><input type="checkbox" id="twitter-export" <?=($user->twitter()->export_enabled) ? 'checked="checked"' : ''?> /></td>
				</tr>
			</table>
			
			<div class="service-info">
				<div class="service-profile-image">
					<img src="<?=str_replace('normal', 'reasonably_small', $user->twitter()->avatar_url)?>" />
				</div>
				<div class="service-profile-bio">
					<h1><?=$user->twitter()->name?></h1>
					<h2>@<?=$user->twitter()->username?> <span class="service-profile-loc"><?=$user->twitter()->location?></span></h2>
					<p id="service-twitter-bio"><?=$user->twitter()->bio?></p>
					<p id="service-twitter-website"><?=$user->twitter()->website_formatted?></p>
				</div>
				<div style="clear:both;"></div>
			</div>
		<? else: ?>
		<div class="service-login">
			<a href="/twitter/new?r=/settings/services"><img src="/images/twitter-login.png" alt="Twitter" /></a>
		</div>
		<? endif; ?>
		</div>
	</div>
	
	<div style="clear:both"></div>
</div>