<h1 id="stats-total-views"><?=number_format($total_views)?> Total Views</h1>

<h2 style="margin-top: 10px;">Views by Method</h2>
<table id="stats-table">
	<thead>
		<tr>
			<td>Method</td>
			<td style="text-align: center;">HTML</td>
			<td style="text-align: center;">XML</td>
			<td style="text-align: center;">JSON</td>
			<td style="text-align: center;">JSONP</td>
		</tr>
	</thead>
<? foreach($stats_by_method as $controller => $methods): ?>
	<? ksort($methods); ?>
	<tr class="stats-table-section">
		<td style="padding-left: 10px;">Controller: <?=$controller?></td>
		<td></td>
		<td></td>
		<td></td>
		<td></td>
	</tr>
	<? foreach($methods as $method => $formats): ?>
	<tr>
		<td style="padding-left: 20px;"><?=$method?></td>
		<td style="text-align: center;"><?=number_format(isset($formats['html']) ? $formats['html'] : 0)?></td>
		<td style="text-align: center;"><?=number_format(isset($formats['xml']) ? $formats['xml'] : 0)?></td>
		<td style="text-align: center;"><?=number_format(isset($formats['json']) ? $formats['json'] : 0)?></td>
		<td style="text-align: center;"><?=number_format(isset($formats['jsonp']) ? $formats['jsonp'] : 0)?></td>
	</tr>
	<? endforeach; ?>
<? endforeach; ?>
</table>