<? if (count($comments) > 0): foreach ($comments as $comment): ?>
<div id="news-comment-<?=$comment->id?>" class="news-comment-wrap">
	<div class="news-comment-meta">
		<div class="news-comment-avatar">
			<img src="<?=$comment->user->avatar_url('small', $comment->deleted)?>" alt="<?=$comment->deleted ? '[deleted]' : $comment->user->username?>" />
		</div>
		<div class="news-comment-meta-info">
			<p><a href="<?=$comment->deleted ? "#" : "/user/{$comment->user->username}"?>"><?=$comment->deleted ? '[deleted]' : $comment->user->name?></a></p>
			<p>Posted <?=date::relative_time($comment->time_posted)?></p>
		</div>
		
		<div style="clear:both"></div>
	</div>
	
	<div class="news-comment-body <?=$comment->deleted ? 'deleted' : ''?>">
		<?=$comment->deleted ? '[deleted]' : nl2br($comment->content)?>
	</div>
	
	<div class="news-comment-actions">
		<span class="news-expand-reply">reply</span>
		<span class="news-toggle-children">toggle child comments</span>
		<? if (!$comment->deleted && sess::is_logged_in() && $comment->user->id == sess::getUserID()): ?>
		<span class="news-delete-comment">delete</span>
		<? endif; ?>
	</div>
	
	<div id="reply-to-<?=$comment->id?>" class="news-comment-reply-to">
		<textarea class="news-comment-reply"></textarea>
		<div class="comment-reply-button">
			<input type="button" class="fancy-button-blue" value="Post Reply" />
		</div>
	</div>
	
	<div class="news-child-comments">
		<?=View::factory('news/_comments')->set('comments', $comment->children)->render()?>
	</div>
	
	<div style="clear:both"></div>
</div>
<? endforeach; endif; ?>