<?=
	View::factory('news/_navbar')->
		set('type', $type)->
		set('category', $category)->
		set('sorting', $sorting)->
		render()
?>

<div id="news-wrap">

	<div id="content-left">
	<? if (count($posts) > 0): ?>
		<? foreach ($posts as $news): ?>
		<? $has_voted = $news->has_voted(); ?>
		<div id="news_<?=$news->id?>" class="news-content-wrap">
			<div class="news-vote-wrap">
				<div class="vote-up <?=$has_voted == 'up' ? 'active' : ''?>"></div>
				<div class="vote-count <?=$has_voted ? 'active' : ''?>"><?=$news->votes?></div>
				<div class="vote-down <?=$has_voted == 'down' ? 'active' : ''?>"></div>
			</div>

			<div class="news-content">
				<h1><a href="/ne/<?=$news->short_id?>"><?=$news->title?></a></h1>
				<div class="news-meta">
					<p><?=ucwords($news->category->type)?> &mdash; <?=$news->upvotes?> upvotes, <?=$news->downvotes?> downvotes &mdash; <?=$news->num_comments?> <?=vocab::plural('comment', $news->num_comments)?></p>
					<p><?=ucwords($news->type)?> submitted by <a href="/user/<?=$news->user->username?>"><?=$news->user->name?></a> to <a href="/<?=$news->category->type?>/<?=$news->category->slug?>"><?=$news->category->name?></a> <?=date::relative_time($news->time_posted)?></p>
				</div>
			</div>
						
			<div style="clear:both"></div>
		</div>
		<? endforeach; ?>
	<? else: ?>
	<div id="no-statuses">
		<p>No posts have been submitted here yet! Would you like to <a href="/news/new/">create the first</a>?</p>
	</div>
	<? endif; ?>
	</div>
	
	<div id="content-right">
		<? if (sess::is_logged_in()): ?>
			<?=View::factory('template/_news_sidebar_auth')->render()?>
		<? else: ?>
			<?=View::factory('template/_news_sidebar_unauth')->render()?>
		<? endif; ?>
	</div>

	<div style="clear:both;"></div>
</div>