<? $notify = notifications::load(); ?>

<div id="notification-count-wrap">
	<div id="notification-count" <?=$notify->numUnread() > 0 ? 'class="unread"' : ''?>>
		<?=$notify->numUnread()?>
	</div>
	<div style="clear:both"></div>
</div>

<div id="notification-wrap">
	<div id="notification-close">Close Notifications</div>

	<div id="notification-cols">
		<div class="notification-col">
			<h2>News/Events</h2>
			
			<? if ($notify->numUnread('news') > 0): ?>
			<div id="news-mark-read" class="notification-mark-read">Mark as Read</div>
			<? endif; ?>
			
			<ul>
			<? foreach (array_merge($notify->get('news'), $notify->get('newscomment')) as $n): ?>
				<li onclick="window.location.href='/ne/<?=$n->link_id?>'" class="notification-<?=$n->is_read ? 'read' : 'unread'?>">
					<a href="/user/<?=$n->user->username?>"><?=$n->user->name?></a> <?=$n->message?>
				</li>
			<? endforeach; ?>
			</ul>
		</div>
		
		<div class="notification-col">
			<h2>Collaboration</h2>
			
			<? if ($notify->numUnread('collaborate') > 0): ?>
			<div id="collaborate-mark-read" class="notification-mark-read">Mark as Read</div>
			<? endif; ?>
			
			<ul>
			<? foreach ($notify->get('collaborate') as $n): ?>
				<li onclick="window.location.href='/collaborate/q/<?=$n->link_id?>'" class="notification-<?=$n->is_read ? 'read' : 'unread'?>">
					<a href="/user/<?=$n->user->username?>"><?=$n->user->name?></a> <?=$n->message?>
				</li>
			<? endforeach; ?>
			</ul>
		</div>
		
		<div class="notification-col">
			<h2>Status Comments</h2>
			
			<? if ($notify->numUnread('reply') > 0): ?>
			<div id="reply-mark-read" class="notification-mark-read">Mark as Read</div>
			<? endif; ?>
			
			<ul>
			<? foreach ($notify->get('reply') as $n): ?>
				<li onclick="window.location.href='/s/<?=$n->link_id?>'" class="notification-<?=$n->is_read ? 'read' : 'unread'?>">
					<a href="/user/<?=$n->user->username?>"><?=$n->user->name?></a> <?=$n->message?>
				</li>
			<? endforeach; ?>
			</ul>
		</div>
	
		<div style="clear:both"></div>
	</div>
</div>