<div id="user-sidebar-info">

	<? if(sess::isActiveUser($user)): ?>
		<p>Update your status</p>
		<?=View::factory('statuses/_new_form')->render()?>
	<? endif; ?>
	
	<div id="user-sidebar-photo">
		<img src="<?=$user->avatar_url('medium')?>" alt="<?=$user->username?>" />
	</div>
	<div id="user-sidebar-bio">
		<h1><?=$user->name?></h1>
		<h2><a href="mailto:<?=$user->username?>@wpi.edu"><?=$user->username?></a></h2>
		<p id="user-bio"><?=$user->bio?></p>
		
		<? if(mb_strlen($user->website) > 0): ?>
		<p><a href="<?=$user->website?>"><?=$user->website_formatted?></a></p>
		<? endif; ?>
		
		<? if($user->class_year != 0): ?>
		<p>Class of <?=$user->class_year?></p>
		<? endif; ?>
		
		<? if(mb_strlen($user->college_majors) > 0): ?>
		<p>Major(s): <?=$user->college_majors?></p>
		<? endif; ?>
		
		<? if(mb_strlen($user->college_minors) > 0): ?>
		<p>Minors(s): <?=$user->college_minors?></p>
		<? endif; ?>
	</div>
	<div style="clear:both;"></div>
	
	<div id="user-sidebar-social">
		<? if(sess::is_logged_in() && !sess::isActiveUser($user)): ?>
			<div class="follow-button">
				<? if(sess::getUser()->is_following($user)): ?>
				<a href="#" class="following">Following</a>
				<? else: ?>
				<a href="#" class="follow">Follow</a>
				<? endif; ?>
			</div>
		<? endif; ?>
		<ul id="sidebar-social-data">
			<li>
				<p class="karma-count"><?=$user->karma?></p>
				<p>Karma</p>
			</li>
			<li>
				<p class="follows-count"><a href="/user/<?=$user->username?>/follows"><?=$user->follows_count?></a></p>
				<p><a href="/user/<?=$user->username?>/follows">Following</a></p>
			</li>
			<li>
				<p class="followers-count"><a href="/user/<?=$user->username?>/followers"><?=$user->followers_count?></a></p>
				<p><a href="/user/<?=$user->username?>/followers">Followers</a></p>
			</li>
		</ul>
	</div>
</div>