<?
$notify = null;
if (sess::is_logged_in()) {
	if (sess::getUser()->confirmed == 0) {
		Hub::redirect('/confirm/wait');
		exit;
	}
}
?>

<!DOCTYPE html>
<html lang="en" <?=isset($enable_fbml) ? 'xmlns="http://www.w3.org/1999/xhtml" 
	xmlns:fb="http://www.facebook.com/2008/fbml"' : ''?>>
<head>
	<title>Campustream<?=isset($title) ? " - $title" : ''?></title>
	
	<?=View::factory('template/_css')->render()?>
	<?=View::factory('template/_javascript')->set('enable_fbml', $enable_fbml)->render()?>
	
	<? if(!$GLOBALS['ISDEV']): ?>
	<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-387759-14']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

  </script>
	<? endif; ?>
</head>
<body>
	<?=isset($enable_fbml) ? '<div id="fb-root"></div>' : ''?>
	<div id="header-wrap">
		<div id="header">
			<h1><a href="/">Campustream</a></h1>
		</div>
	</div>
	
	<div id="nav-wrap">
		<ul id="nav">
			<li <?=(isset($active) && $active == 'home') ? 'class="active"' : ''?>><a href="/">Home</a></li>
			
			<? if($this->session->get('authenticated')): ?>
			<li <?=(isset($active) && $active == 'profile') ? 'class="active"' : ''?>><a href="/user/<?=sess::getUsername()?>">Profile</a></li>
			<li <?=(isset($active) && $active == 'newsevents') ? 'class="active"' : ''?>><a href="/news_events">News &amp; Events</a></li>
			<li <?=(isset($active) && $active == 'collaborate') ? 'class="active"' : ''?>><a href="/collaborate">Collaborate</a></li>
			<li <?=(isset($active) && $active == 'users') ? 'class="active"' : ''?>><a href="/users">Users</a></li>
			<li <?=(isset($active) && $active == 'settings') ? 'class="active"' : ''?>><a href="/settings/profile">Settings</a></li>
			<li><a href="/session/destroy">Logout</a></li>
			<? else: ?>
			<li <?=(isset($active) && $active == 'register') ? 'class="active"' : ''?>><a href="/register">Register</a></li>
			<li <?=(isset($active) && $active == 'login') ? 'class="active"' : ''?>><a href="/login">Login</a></li>
			<? endif; ?>
			
			<!--<li <?=(isset($active) && $active == 'stats') ? 'class="active"' : ''?>><a href="/admin/stats">Stats</a></li>-->
		</ul>
	</div>
	
	<div id="content-wrap-outer">
		<div id="content-wrap-inner">
			<?=$content?>
		</div>
	</div>
	
	<div id="footer">
		<p>&copy; <?=date('Y')?> Campustream - Powered by Hub</p>
	</div>
	
	<? if(sess::is_logged_in()): ?>
		<?=View::factory('notifications/main')->render()?>
	<? endif; ?>
	
	<iframe id="xd-receiver" src="http://api<?=$GLOBALS['ISDEV'] ? 'dev' : ''?>.campustream.com/xd_receiver.html" width="1" height="1" scrolling="no" frameborder="0"></iframe>
</body>
</html>