<?php
	
class Database {
	
	var $link = null;
	
	function __construct($name) {
		
		if(!empty($name)) {
		
			require($GLOBALS['APPROOT'] . 'application/config/database.php');
		
			$this->_connect(
				$config[$name]['host'],
				$config[$name]['user'],
				$config[$name]['pass'],
				$config[$name]['db']
			);
		
		}
		
	}
	
	function _connect($host, $user, $pass, $db) {
		
		$this->link = new mysqli($host,$user,$pass,$db);
		$this->query("SET NAMES 'utf8'");
		
	}
	
	function query($sql) {
		return $this->link->query($sql);
	}
	
	function getInsertID() {
		return $this->link->insert_id;
	}
	
	function escape($string) {
		return $this->link->real_escape_string($string);
	}
	
	function close() {
		$this->link->close();
	}

	function error() {
		return $this->link->error;
	}
	
	function errno() {
		return $this->link->errno;
	}
	
	function getObject() {
		return $this->link;
	}
	
}