(function () {
	var origin,
		API;
		
	var API = (function () {
		var url = '/1/';
		
		return {			
			query: function (endpoint, method, args, callback) {
				$.ajax({
					type: method,
					url: url + endpoint + '.json',
					data: args,
					dataType: 'json',
					success: callback
				});
			}
		};
	}());

	if (window.location.host.split('.')[0] === 'apidev') {
		origin = 'http://dev.campustream.com';
	} else {
		origin = 'http://campustream.com';
	}
	
	$.receiveMessage(function (e) {
		var data = $.deparam(e.data, true);

		API.query(data.endpoint, data.method, data.args, function (d) {
			var result = {
				result: d,
				callback_id: data.callback_id
			};

			$.postMessage(result, data.current_url, parent);
		});
	}, origin);
}());