(function (window, $) {

	// bind some events, yo
	$("#logout-button").bind('click', function () {
		window.location.href = '/session/destroy';
	});
	
	$("#enter-code").bind('click', function () {
		var code_input = 
			$('<input />')
				.attr('id', 'code-input')
				.attr('type', 'text')
				.attr('value', 'Enter confirmation code')
				.bind('click', function () {
					if($(this).attr('value') === 'Enter confirmation code') {
						$(this).attr('value', '');
					}
				});
			
			
		$("#confirm-email")
			.css({
				'background-color': 'transparent',
				border: 'none',
				padding: '10px 0',
				margin: '10px auto'
			})
			.html(code_input);
			
		$(this)
			.attr('value', 'Submit Code')
			.unbind('click')
			.bind('click', function () {
				var code = $.trim($("#code-input").attr('value'));
				if (code.length === 0 || code === 'Enter confirmation code') {
					return;
				}
				
				window.location.href = '/confirm/do/?code=' + code;
			});
	});
	
	// survey modal box
	$("#modal-bg").fadeIn();
	$("#survey-close").bind('click', function () {
		$("#modal-bg").fadeOut();
	});
	
	$("#survey-open").bind('click', function () {
		window.open("https://spreadsheets.google.com/viewform?hl=en&formkey=dGhnNjBIcU1qaEh5bkdzTFR1cXo4R2c6MQ#gid=0", "", "status=1,height=500,width=700,resizable=1,scrollbars=1");
		$("#modal-bg").fadeOut();
	});

}(window, jQuery));